# Uses of Interface
org.eclipse.pde.core.target.ITargetHandle

Packages that use ITargetHandle
Package
Description
org.eclipse.pde.core.target
Application programming interfaces to access and modify the PDE target platform.

## Uses of ITargetHandle in org.eclipse.pde.core.target

Methods in org.eclipse.pde.core.target that return ITargetHandle
Modifier and Type
Method
Description
`ITargetHandle`
ITargetDefinition.`getHandle()`
Returns a handle to this target definition.
`ITargetHandle`
ITargetPlatformService.`getTarget(String memento)`
Creates and returns a target handle from the given memento.
`ITargetHandle`
ITargetPlatformService.`getTarget(URI uri)`
Returns a handle to a target definition backed by the underlying `URI`.
`ITargetHandle`
ITargetPlatformService.`getTarget(IFile file)`
Returns a handle to a target definition backed by the underlying file.
`ITargetHandle[]`
ITargetPlatformService.`getTargets(IProgressMonitor monitor)`
Returns handles to all target definitions known in the workspace.
`ITargetHandle`
ITargetPlatformService.`getWorkspaceTargetHandle()`
Returns a handle to the target definition that corresponds to the active target platform or `null` if none.
Methods in org.eclipse.pde.core.target with parameters of type ITargetHandle
Modifier and Type
Method
Description
`void`
ITargetPlatformService.`deleteTarget(ITargetHandle handle)`
Deletes the target definition associated with the given handle.